FAST-DISCOVERY-SERVER(1)

NAME
fast-discovery-server - centralized broker for DDS service discovery

SYNOPSIS
fast-discovery-server -i ID [options]

DESCRIPTION
eProsima Fast DDS, as a Data Distribution Service (DDS) middleware implementation, offers the feature of dynamically discovering communication entities within a network. The DDS standard defines a Simple Discovery Protocol (SDP) to accomplish such a task, sharing the participants information using well known multicast addresses and ports. While this method has the advantage of out-of-the-box participant discovery, it has the disadvantage of scalability, since the number of exchanged packets increases exponentially as new participants are added to the system. Furthermore, it requires multicasting capabilities, which may not work reliably (such as for the case of WiFi communication [1]), or may not even be present at all. Therefore, eProsima Fast DDS implements the Discovery Server (DS) protocol, which is a new discovery mechanism based on a centralized communications model. In this, a core participant, referred to as a Server, handles all the information exchanged between participants on the network.

fast-discovery-server accepts the following arguments:

-i ID
--server-id ID
    This is a mandatory argument for the unique server identifier. Specifies the zero based server position in the ROS_DISCOVERY_SERVER variable.

-l IP
--ip-address IP
    Server interface on which to listen to the clients. Defaults to any (0.0.0.0).

-p PORT
--port PORT
    UDP port on which to listen to the clients. Defaults to 11811

-b, --backup
    Creates a server with a backup file associated

AUTHOR
eProsima FastDDS is developed by Proyectos y Sistemas de Mantenimiento SL. This manual page was written for the Debian distribution by Timo Röhling (timo@gaussglocke.de), and may be used without restriction.